Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2ef2::/16
First address
2ef2::
Last address
2ef2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2ef2:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
2.f.e.2.ip6.arpa
Split into smaller subnets/24

2ef2::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12ef2::/242ef2:ff:ffff:ffff:ffff:ffff:ffff:ffff
22ef2:100::/242ef2:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32ef2:200::/242ef2:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42ef2:300::/242ef2:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52ef2:400::/242ef2:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62ef2:500::/242ef2:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72ef2:600::/242ef2:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82ef2:700::/242ef2:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92ef2:800::/242ef2:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102ef2:900::/242ef2:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112ef2:a00::/242ef2:aff:ffff:ffff:ffff:ffff:ffff:ffff
122ef2:b00::/242ef2:bff:ffff:ffff:ffff:ffff:ffff:ffff
132ef2:c00::/242ef2:cff:ffff:ffff:ffff:ffff:ffff:ffff
142ef2:d00::/242ef2:dff:ffff:ffff:ffff:ffff:ffff:ffff
152ef2:e00::/242ef2:eff:ffff:ffff:ffff:ffff:ffff:ffff
162ef2:f00::/242ef2:fff:ffff:ffff:ffff:ffff:ffff:ffff
172ef2:1000::/242ef2:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182ef2:1100::/242ef2:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192ef2:1200::/242ef2:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202ef2:1300::/242ef2:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212ef2:1400::/242ef2:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222ef2:1500::/242ef2:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232ef2:1600::/242ef2:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242ef2:1700::/242ef2:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252ef2:1800::/242ef2:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262ef2:1900::/242ef2:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272ef2:1a00::/242ef2:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282ef2:1b00::/242ef2:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292ef2:1c00::/242ef2:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302ef2:1d00::/242ef2:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312ef2:1e00::/242ef2:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322ef2:1f00::/242ef2:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332ef2:2000::/242ef2:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342ef2:2100::/242ef2:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352ef2:2200::/242ef2:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362ef2:2300::/242ef2:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372ef2:2400::/242ef2:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382ef2:2500::/242ef2:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392ef2:2600::/242ef2:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402ef2:2700::/242ef2:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412ef2:2800::/242ef2:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422ef2:2900::/242ef2:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432ef2:2a00::/242ef2:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442ef2:2b00::/242ef2:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452ef2:2c00::/242ef2:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462ef2:2d00::/242ef2:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472ef2:2e00::/242ef2:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482ef2:2f00::/242ef2:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492ef2:3000::/242ef2:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502ef2:3100::/242ef2:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512ef2:3200::/242ef2:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522ef2:3300::/242ef2:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532ef2:3400::/242ef2:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542ef2:3500::/242ef2:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552ef2:3600::/242ef2:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562ef2:3700::/242ef2:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572ef2:3800::/242ef2:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582ef2:3900::/242ef2:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592ef2:3a00::/242ef2:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602ef2:3b00::/242ef2:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612ef2:3c00::/242ef2:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622ef2:3d00::/242ef2:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632ef2:3e00::/242ef2:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642ef2:3f00::/242ef2:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652ef2:4000::/242ef2:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662ef2:4100::/242ef2:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672ef2:4200::/242ef2:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682ef2:4300::/242ef2:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692ef2:4400::/242ef2:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702ef2:4500::/242ef2:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712ef2:4600::/242ef2:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722ef2:4700::/242ef2:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732ef2:4800::/242ef2:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742ef2:4900::/242ef2:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752ef2:4a00::/242ef2:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762ef2:4b00::/242ef2:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772ef2:4c00::/242ef2:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782ef2:4d00::/242ef2:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792ef2:4e00::/242ef2:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802ef2:4f00::/242ef2:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812ef2:5000::/242ef2:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822ef2:5100::/242ef2:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832ef2:5200::/242ef2:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842ef2:5300::/242ef2:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852ef2:5400::/242ef2:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862ef2:5500::/242ef2:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872ef2:5600::/242ef2:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882ef2:5700::/242ef2:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892ef2:5800::/242ef2:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902ef2:5900::/242ef2:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912ef2:5a00::/242ef2:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922ef2:5b00::/242ef2:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932ef2:5c00::/242ef2:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942ef2:5d00::/242ef2:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952ef2:5e00::/242ef2:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962ef2:5f00::/242ef2:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972ef2:6000::/242ef2:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982ef2:6100::/242ef2:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992ef2:6200::/242ef2:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002ef2:6300::/242ef2:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012ef2:6400::/242ef2:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022ef2:6500::/242ef2:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032ef2:6600::/242ef2:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042ef2:6700::/242ef2:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052ef2:6800::/242ef2:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062ef2:6900::/242ef2:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072ef2:6a00::/242ef2:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082ef2:6b00::/242ef2:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092ef2:6c00::/242ef2:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102ef2:6d00::/242ef2:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112ef2:6e00::/242ef2:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122ef2:6f00::/242ef2:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132ef2:7000::/242ef2:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142ef2:7100::/242ef2:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152ef2:7200::/242ef2:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162ef2:7300::/242ef2:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172ef2:7400::/242ef2:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182ef2:7500::/242ef2:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192ef2:7600::/242ef2:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202ef2:7700::/242ef2:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212ef2:7800::/242ef2:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222ef2:7900::/242ef2:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232ef2:7a00::/242ef2:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242ef2:7b00::/242ef2:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252ef2:7c00::/242ef2:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262ef2:7d00::/242ef2:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272ef2:7e00::/242ef2:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282ef2:7f00::/242ef2:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292ef2:8000::/242ef2:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302ef2:8100::/242ef2:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312ef2:8200::/242ef2:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322ef2:8300::/242ef2:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332ef2:8400::/242ef2:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342ef2:8500::/242ef2:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352ef2:8600::/242ef2:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362ef2:8700::/242ef2:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372ef2:8800::/242ef2:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382ef2:8900::/242ef2:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392ef2:8a00::/242ef2:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402ef2:8b00::/242ef2:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412ef2:8c00::/242ef2:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422ef2:8d00::/242ef2:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432ef2:8e00::/242ef2:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442ef2:8f00::/242ef2:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452ef2:9000::/242ef2:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462ef2:9100::/242ef2:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472ef2:9200::/242ef2:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482ef2:9300::/242ef2:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492ef2:9400::/242ef2:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502ef2:9500::/242ef2:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512ef2:9600::/242ef2:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522ef2:9700::/242ef2:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532ef2:9800::/242ef2:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542ef2:9900::/242ef2:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552ef2:9a00::/242ef2:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562ef2:9b00::/242ef2:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572ef2:9c00::/242ef2:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582ef2:9d00::/242ef2:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592ef2:9e00::/242ef2:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602ef2:9f00::/242ef2:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612ef2:a000::/242ef2:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622ef2:a100::/242ef2:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632ef2:a200::/242ef2:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642ef2:a300::/242ef2:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652ef2:a400::/242ef2:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662ef2:a500::/242ef2:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672ef2:a600::/242ef2:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682ef2:a700::/242ef2:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692ef2:a800::/242ef2:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702ef2:a900::/242ef2:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712ef2:aa00::/242ef2:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722ef2:ab00::/242ef2:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732ef2:ac00::/242ef2:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742ef2:ad00::/242ef2:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752ef2:ae00::/242ef2:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762ef2:af00::/242ef2:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772ef2:b000::/242ef2:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782ef2:b100::/242ef2:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792ef2:b200::/242ef2:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802ef2:b300::/242ef2:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812ef2:b400::/242ef2:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822ef2:b500::/242ef2:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832ef2:b600::/242ef2:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842ef2:b700::/242ef2:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852ef2:b800::/242ef2:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862ef2:b900::/242ef2:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872ef2:ba00::/242ef2:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882ef2:bb00::/242ef2:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892ef2:bc00::/242ef2:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902ef2:bd00::/242ef2:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912ef2:be00::/242ef2:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922ef2:bf00::/242ef2:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932ef2:c000::/242ef2:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942ef2:c100::/242ef2:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952ef2:c200::/242ef2:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962ef2:c300::/242ef2:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972ef2:c400::/242ef2:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982ef2:c500::/242ef2:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992ef2:c600::/242ef2:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002ef2:c700::/242ef2:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012ef2:c800::/242ef2:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022ef2:c900::/242ef2:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032ef2:ca00::/242ef2:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042ef2:cb00::/242ef2:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052ef2:cc00::/242ef2:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062ef2:cd00::/242ef2:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072ef2:ce00::/242ef2:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082ef2:cf00::/242ef2:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092ef2:d000::/242ef2:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102ef2:d100::/242ef2:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112ef2:d200::/242ef2:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122ef2:d300::/242ef2:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132ef2:d400::/242ef2:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142ef2:d500::/242ef2:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152ef2:d600::/242ef2:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162ef2:d700::/242ef2:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172ef2:d800::/242ef2:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182ef2:d900::/242ef2:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192ef2:da00::/242ef2:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202ef2:db00::/242ef2:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212ef2:dc00::/242ef2:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222ef2:dd00::/242ef2:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232ef2:de00::/242ef2:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242ef2:df00::/242ef2:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252ef2:e000::/242ef2:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262ef2:e100::/242ef2:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272ef2:e200::/242ef2:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282ef2:e300::/242ef2:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292ef2:e400::/242ef2:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302ef2:e500::/242ef2:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312ef2:e600::/242ef2:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322ef2:e700::/242ef2:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332ef2:e800::/242ef2:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342ef2:e900::/242ef2:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352ef2:ea00::/242ef2:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362ef2:eb00::/242ef2:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372ef2:ec00::/242ef2:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382ef2:ed00::/242ef2:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392ef2:ee00::/242ef2:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402ef2:ef00::/242ef2:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412ef2:f000::/242ef2:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422ef2:f100::/242ef2:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432ef2:f200::/242ef2:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442ef2:f300::/242ef2:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452ef2:f400::/242ef2:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462ef2:f500::/242ef2:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472ef2:f600::/242ef2:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482ef2:f700::/242ef2:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492ef2:f800::/242ef2:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502ef2:f900::/242ef2:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512ef2:fa00::/242ef2:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522ef2:fb00::/242ef2:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532ef2:fc00::/242ef2:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542ef2:fd00::/242ef2:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552ef2:fe00::/242ef2:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562ef2:ff00::/242ef2:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses